Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## be.fgov.ehealth.monitoring.core.v2
Enum EnvironmentType

    java.lang.Object
      java.lang.Enum<EnvironmentType>
          be.fgov.ehealth.monitoring.core.v2.EnvironmentType

All Implemented Interfaces:
  Serializable, Comparable<EnvironmentType>

    public enum EnvironmentType

extends Enum<EnvironmentType>

Java class for EnvironmentType.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="EnvironmentType">
       <restriction base="{http://www.w3.org/2001/XMLSchema}NMTOKEN">
         <enumeration value="ACC"/>
         <enumeration value="PROD"/>
         <enumeration value="LOCAL"/>
         <enumeration value="DEV"/>
         <enumeration value="TEST"/>
         <enumeration value="SIM"/>
       </restriction>
     </simpleType>

Enum Constant Summary
`ACC`
`DEV`
`LOCAL`
`PROD`
`SIM`
`TEST`

Method Summary
`static EnvironmentType` | `fromValue(String v)`
`String` | `value()`
`static EnvironmentType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static EnvironmentType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ACC

    public static final EnvironmentType ACC

### PROD

    public static final EnvironmentType PROD

### LOCAL

    public static final EnvironmentType LOCAL

### DEV

    public static final EnvironmentType DEV

### TEST

    public static final EnvironmentType TEST

### SIM

    public static final EnvironmentType SIM

Method Detail

### values

    public static EnvironmentType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (EnvironmentType c : EnvironmentType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static EnvironmentType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### value

    public String value()

### fromValue

    public static EnvironmentType fromValue(String v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Connector Packaging PERSPRACTICALNURSE 3.15.1 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.